package com.hh.arome.bean.face;

import com.common.lib_base.utils.StringUtils;

public class StartReadyBpaasServiceBean {

    String trade;
    boolean need1v1;
    String checkWay;
    // abcp刷脸的merchantAppId,对应在线配置的serviceAppId
    String merchantAppId;

    String serviceId;
    String query;
    String scope;

    String mSessionId;


    public String getMerchantAppId() {
        return merchantAppId;
    }

    public void setMerchantAppId(String merchantAppId) {
        this.merchantAppId = merchantAppId;
    }

    public String getmSessionId() {
        return mSessionId;
    }

    public void setmSessionId(String mSessionId) {
        this.mSessionId = mSessionId;
    }

    public String getTrade() {
        return trade;
    }

    public void setTrade(String trade) {
        this.trade = trade;
    }

    public boolean isNeed1v1() {
        return need1v1;
    }

    public void setNeed1v1(boolean need1v1) {
        this.need1v1 = need1v1;
    }

    public String getCheckWay() {
        if(StringUtils.isNull(checkWay)){
            return "scanFace";
        }
        return checkWay;
    }

    public void setCheckWay(String checkWay) {
        this.checkWay = checkWay;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }


    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    @Override
    public String toString() {
        return "StartBpaasServiceBean{" +
                "trade='" + trade + '\'' +
                ", need1v1=" + need1v1 +
                ", checkWay='" + checkWay + '\'' +
                ", merchantAppId='" + merchantAppId + '\'' +
                ", serviceId='" + serviceId + '\'' +
                ", query='" + query + '\'' +
                ", scope='" + scope + '\'' +
                ", mSessionId='" + mSessionId + '\'' +
                '}';
    }
}
